#### PyKDE - Python Bindings for KDE

# class KParts.BrowserHostExtension

Table of contents
Modules
kparts Classes
All Classes

Module | kparts
Class | KParts.BrowserHostExtension
Inherits | QObject

### methods

- BrowserHostExtension (parent, name = 0)

  returns a BrowserHostExtension instance

  Argument | Type | Default
  --- | --- | ---
  parent | KParts.ReadOnlyPart |
  name | char | 0

- childObject (obj)

  returns (KParts.BrowserHostExtension)
  static

  Argument | Type | Default
  --- | --- | ---
  obj | QObject |

- findFrameParent (callingPart, frame)

  returns (KParts.BrowserHostExtension)
  In versions KDE 3.3.0 and above only

  Argument | Type | Default
  --- | --- | ---
  callingPart | KParts.ReadOnlyPart |
  frame | QString |

- frameNames ()

  returns (QStringList)

- frames ()

  returns (QPtrList<KParts.ReadOnlyPart>)

- openURLInFrame (url, urlArgs)

  returns (bool)

  Argument | Type | Default
  --- | --- | ---
  url | KURL |
  urlArgs | KParts.URLArgs |